Bug 71018 - Patch for cvs2svn ports update
Summary: Patch for cvs2svn ports update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hye-Shik Chang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-27 05:00 UTC by June-Yen Huang
Modified: 2004-08-29 17:43 UTC (History)
0 users

See Also:


Attachments
file.diff (2.99 KB, patch)
2004-08-27 05:00 UTC, June-Yen Huang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description June-Yen Huang 2004-08-27 05:00:51 UTC
      cvs2svn released 1.0.0 recently, please update this ports

Fix: PORTNAME=      cvs2svn
-PORTVERSION=   0.0.938
-PORTREVISION=  1
+PORTVERSION=   1.0.0
 CATEGORIES=    devel
-MASTER_SITES=  ${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=    perky
+MASTER_SITES=  http://cvs2svn.tigris.org/files/documents/1462/15996/

 MAINTAINER=    perky@FreeBSD.org
 COMMENT=       CVS to Subversion Repository Converter
@@ -18,13 +16,6 @@

 USE_PYTHON=    2.3+
 USE_PYDISTUTILS=       yes
-USE_BZIP2=     yes
-
-post-patch:
-.for script in cvs2svn profile-cvs2svn verify-cvs2svn \
-               dump-db show-db
-       @${LN} ${WRKSRC}/${script}.py ${WRKSRC}/${script}
-.endfor
-       @${INSTALL_DATA} ${FILESDIR}/setup.py ${WRKSRC}/
+USE_GZIP=      yes

 .include <bsd.port.mk>


-------------------------
and 
remove files totally.--xjX0Saj461qqmgBb2SDhPA30z7tx08Chm7kZQEcTGWExRhUC
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff --exclude=.svn -urN ../Public_Tree/cvs2svn/Makefile cvs2svn/Makefile
--- ../Public_Tree/cvs2svn/Makefile     Sat May  1 18:30:53 2004
+++ cvs2svn/Makefile    Fri Aug 27 11:37:41 2004
@@ -5,11 +5,9 @@
 # $FreeBSD: ports/devel/cvs2svn/Makefile,v 1.1 2004/05/01 10:30:53 perky Exp $
How-To-Repeat:       none,
Comment 1 Ying-Chieh Liao freebsd_committer 2004-08-27 08:15:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perky

over to maintainer
Comment 2 Hye-Shik Chang freebsd_committer 2004-08-29 17:43:43 UTC
State Changed
From-To: open->closed

Committed. Thank you!